"use strict";

(function ($) {
  // Select the node that will be observed for mutations
  var targetNode = document.head; // Options for the observer (which mutations to observe)

  var config = {
    attributes: false,
    childList: true,
    subtree: false
  };

  var callback = function callback(mutationsList, observer) {
    // Allow the widget trigger to be keyboard navigable.
    $("#livezilla_wm").attr("tabindex", 0);
    $("#livezilla_wm").keydown(function (event) {
      var keycode = event.keyCode || event.which;

      if (keycode === 13) {
        $("#livezilla_wm").click();
      }
    }); // Disconnect once we're set it.

    if (typeof $("#livezilla_wm").attr("tabindex") !== "undefined") {
      observer.disconnect();
    }
  }; // Create an observer instance linked to the callback function


  var observer = new MutationObserver(callback); // Start observing the target node for configured mutations

  observer.observe(targetNode, config);
})(jQuery);