($ => {
  // Select the node that will be observed for mutations
  const targetNode = document.head;

  // Options for the observer (which mutations to observe)
  const config = {
    attributes: false,
    childList: true,
    subtree: false
  };

  const callback = (mutationsList, observer) => {
    // Allow the widget trigger to be keyboard navigable.
    $("#livezilla_wm").attr("tabindex", 0);
    $("#livezilla_wm").keydown(event => {
      const keycode = event.keyCode || event.which;
      if (keycode === 13) {
        $("#livezilla_wm").click();
      }
    });

    // Disconnect once we're set it.
    if (typeof $("#livezilla_wm").attr("tabindex") !== "undefined") {
      observer.disconnect();
    }
  };

  // Create an observer instance linked to the callback function
  const observer = new MutationObserver(callback);

  // Start observing the target node for configured mutations
  observer.observe(targetNode, config);
})(jQuery);
